package com.retailstore.ordermanagement.model;


import com.retailstore.ordermanagement.constants.Category;
import com.retailstore.ordermanagement.constants.Color;
import com.retailstore.ordermanagement.constants.Gender;
import com.retailstore.ordermanagement.constants.Size;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * Class OrderedProduct is used get all the ordered products in specific manner
 * which are chosen by the end user
 * by with respective variables and methods
 */
@Getter
@AllArgsConstructor
public class OrderedProduct {
    private String id;
    private String name;
    private Category category;
    private Color color;
    private double price;
    private Gender idealFor;
    private Size size;
    private int quantity;

    /**
     * This method returns the content of the OrderedProducts in String format
     *
     * @return string
     */
    @Override
    public String toString() {
        return "OrderedProduct{" +
                "id='" + id + '\t' +
                ", name='" + name + '\n' +
                ", category=" + category + '\t' +
                ", color=" + color + '\n' +
                ", price=" + price + '\t' +
                ", idealFor=" + idealFor + '\n' +
                ", size=" + size + '\t' +
                ", quantity=" + quantity +
                '}';
    }
}
