package com.retailstore.ordermanagement.service;

import com.retailstore.ordermanagement.constants.Category;
import com.retailstore.ordermanagement.constants.Color;
import com.retailstore.ordermanagement.constants.Gender;
import com.retailstore.ordermanagement.constants.Size;
import com.retailstore.ordermanagement.utils.InputUtil;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;
import org.mockito.Mock;
import org.mockito.MockedStatic;
import org.mockito.Mockito;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.sql.Connection;
import java.time.LocalDate;
import java.time.LocalTime;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Scanner;

class RetailStoreServiceTest {
    @Mock
    Connection connection;
    RetailStoreServiceImpl service;

    @Test
    @Disabled
    void addProducts() {
        Scanner scanner = Mockito.mock(Scanner.class);
        Map<Size, Integer> sizeMap = new LinkedHashMap<>();
        sizeMap.put(Size.S, 2);
        sizeMap.put(Size.M, 2);
        sizeMap.put(Size.L, 2);
        sizeMap.put(Size.XL, 2);
        sizeMap.put(Size.XXL, 2);
        try (MockedStatic<InputUtil> inputUtil = Mockito.mockStatic(InputUtil.class)) {

            inputUtil.when(() -> InputUtil.productIdGenerator()).thenReturn("TestMethod" + LocalDate.now() + LocalTime.now());
            String input = "Test Input";
            InputStream in = new ByteArrayInputStream(input.getBytes());
            System.setIn(in);
            inputUtil.when(() -> InputUtil.validateInputNumber()).thenReturn(2);
            inputUtil.when(() -> InputUtil.getCategory(true, "Test check")).thenReturn(Category.JEANS);
            inputUtil.when(() -> InputUtil.getColor(true, "Test check")).thenReturn(Color.BLACK);
            inputUtil.when(() -> InputUtil.getGender(true, "Test check")).thenReturn(Gender.WOMEN);
            inputUtil.when(() -> InputUtil.validateInputPrice(true, "Test price")).thenReturn(1350.00);
            inputUtil.when(() -> InputUtil.getProductSizes()).thenReturn(sizeMap);
        }
        Assertions.assertEquals(true, service.addProducts());
    }
}